Page MenuHomePhabricator

Wrong Ruby location in Mediawiki-Vagrant setup.bat
Closed, ResolvedPublic

Description

OS: Windows 8.1 (64-bit)
Vagrant version: 1.9.7, Windows 64-bit (latest)

I am attempting to install Mediawiki-Vagrant but (in addition to the problem described at T152801) the setup script had the wrong path to the embedded Ruby executable. On my setup it is %vagrant%\..\..\embedded\mingw64\bin\ruby.exe instead of %vagrant%\..\..\embedded\bin\ruby.exe. After I made this change in setup.bat, it appears to run fine.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 22 2017, 2:28 PM

I have just (2017-07-23) installed MediaWiki-Vagrant on Windows Server 2008 R2 with Vagrant 1.9.7 and had to edit setup.bat back to %vagrant%\..\..\embedded\mingw64\bin\ruby.exe

brion added a subscriber: brion.Oct 11 2017, 5:17 AM

With vagrant 2.0.0 on Windows 10 Fall Creators Update, running setup.bat gives me:

'"C:\HashiCorp\Vagrant\bin\vagrant.exe\..\..\embedded\bin\ruby.exe"' is not recognized as an internal or external command,
operable program or batch file.

Changing the path fragment in setup.bat from embedded\bin to embedded\mingw64\bin fixes it.

Change 383499 had a related patch set uploaded (by Brion VIBBER; owner: Brion VIBBER):
[mediawiki/vagrant@master] Check for new vagrant ruby.exe location on Windows

https://gerrit.wikimedia.org/r/383499

Change 383499 abandoned by Brion VIBBER:
Check for new vagrant ruby.exe location on Windows

Reason:
Abandoning in favor of https://gerrit.wikimedia.org/r/#/c/383034

https://gerrit.wikimedia.org/r/383499

Change 383034 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[mediawiki/vagrant@master] Simplify setup.{bat,sh}

https://gerrit.wikimedia.org/r/383034

Change 383034 merged by jenkins-bot:
[mediawiki/vagrant@master] Simplify setup.{bat,sh}

https://gerrit.wikimedia.org/r/383034

brion closed this task as Resolved.Jan 9 2018, 7:29 AM
brion claimed this task.

This has all been cleaned up and is no longer an issue.